package ru.yandex.webmaster.common;

/**
 * @author aherman
 */
public class WebmasterActionException extends WebmasterException {
    public WebmasterActionException(WebmasterExceptionType type, String message) {
        super(type, message);
    }

    public WebmasterActionException(WebmasterExceptionType type, String message, String... parameters) {
        super(type, message, parameters);
    }

    public WebmasterActionException(WebmasterExceptionType type, String message, Throwable cause) {
        super(type, message, cause);
    }

    public WebmasterActionException(WebmasterExceptionType type, String message, Throwable cause,
            String... parameters)
    {
        super(type, message, cause, parameters);
    }
}
